Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport
Class AmazonImportExportAsyncClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient
          com.amazonaws.services.importexport.AmazonImportExportClient
              com.amazonaws.services.importexport.AmazonImportExportAsyncClient

All Implemented Interfaces:
  AmazonImportExport, AmazonImportExportAsync

    public class AmazonImportExportAsyncClient

extends AmazonImportExportClient
implements AmazonImportExportAsync

Client for accessing AmazonImportExport. All calls made using this client are non-blocking and will immediately return a Java Future. Callers must use the Future object to determine when the service call has actually completed. AWS Import/Export Service

AWS Import/Export accelerates transferring large amounts of data between the AWS cloud and portable storage devices that you mail to us. AWS Import/Export transfers data directly onto and off of your storage devices using Amazon's high-speed internal network and bypassing the Internet. For large data sets, AWS Import/Export is often faster than Internet transfer and more cost effective than upgrading your connectivity.

Constructor Summary
`AmazonImportExportAsyncClient(AWSCredentials awsCredentials)` Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials.
`AmazonImportExportAsyncClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials, executor service, and client configuration options.
`AmazonImportExportAsyncClient(AWSCredentials awsCredentials, ExecutorService executorService)` Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials and executor service.

Method Summary
`Future<CancelJobResult>` | `cancelJobAsync(CancelJobRequest cancelJobRequest)` This operation cancels a specified job.
`Future<CreateJobResult>` | `createJobAsync(CreateJobRequest createJobRequest)` This operation initiates the process of scheduling an upload or download of your data.
`ExecutorService` | `getExecutorService()` Returns the executor service used by this async client to execute requests.
`Future<GetStatusResult>` | `getStatusAsync(GetStatusRequest getStatusRequest)` This operation returns information about a job, including where the job is in the processing pipeline, the status of the results, and the signature value associated with the job.
`Future<ListJobsResult>` | `listJobsAsync(ListJobsRequest listJobsRequest)` This operation returns the jobs associated with the requester.
`Future<UpdateJobResult>` | `updateJobAsync(UpdateJobRequest updateJobRequest)` You use this operation to change the parameters specified in the original manifest file by supplying a new manifest file.

Methods inherited from class com.amazonaws.services.importexport.AmazonImportExportClient
`cancelJob, createJob, getStatus, listJobs, listJobs, updateJob`

Methods inherited from class com.amazonaws.AmazonWebServiceClient
`setEndpoint, shutdown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.amazonaws.services.importexport.AmazonImportExport
`cancelJob, createJob, getStatus, listJobs, listJobs, setEndpoint, shutdown, updateJob`

Constructor Detail

### AmazonImportExportAsyncClient

    public AmazonImportExportAsyncClient(AWSCredentials awsCredentials)

  Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials. Default client settings will be used, and a default cached thread pool will be created for executing the asynchronous tasks.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.

### AmazonImportExportAsyncClient

    public AmazonImportExportAsyncClient(AWSCredentials awsCredentials,
                                         ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials and executor service. Default client settings will be used.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `executorService` - The executor service by which all asynchronous requests will be executed.

### AmazonImportExportAsyncClient

    public AmazonImportExportAsyncClient(AWSCredentials awsCredentials,
                                         ClientConfiguration clientConfiguration,
                                         ExecutorService executorService)

  Constructs a new asynchronous client to invoke service methods on AmazonImportExport using the specified AWS account credentials, executor service, and client configuration options.

  All calls made using this new client object are non-blocking, and will immediately return a Java Future object that the caller can later check to see if the service call has actually completed.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `clientConfiguration` - Client configuration options (ex: max retry limit, proxy settings, etc).
    `executorService` - The executor service by which all asynchronous requests will be executed.

Method Detail

### getExecutorService

    public ExecutorService getExecutorService()

  Returns the executor service used by this async client to execute requests.

  Returns:
    The executor service used by this async client to execute requests.

### createJobAsync

    public Future<CreateJobResult> createJobAsync(CreateJobRequest createJobRequest)
                                           throws AmazonServiceException,
                                                  AmazonClientException

  This operation initiates the process of scheduling an upload or download of your data. You include in the request a manifest that describes the data transfer specifics. The response to the request includes a job ID, which you can use in other operations, a signature that you use to identify your storage device, and the address where you should ship your storage device.

  Specified by:
    `createJobAsync` in interface `AmazonImportExportAsync`
  Parameters:
    `createJobRequest` - Container for the necessary parameters to execute the CreateJob operation on AmazonImportExport.
  Returns:
    A Java Future object containing the response from the CreateJob service method, as returned by AmazonImportExport.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonImportExport indicating either a problem with the data in the request, or a server side issue.

### cancelJobAsync

    public Future<CancelJobResult> cancelJobAsync(CancelJobRequest cancelJobRequest)
                                           throws AmazonServiceException,
                                                  AmazonClientException

  This operation cancels a specified job. Only the job owner can cancel it. The operation fails if the job has already started or is complete.

  Specified by:
    `cancelJobAsync` in interface `AmazonImportExportAsync`
  Parameters:
    `cancelJobRequest` - Container for the necessary parameters to execute the CancelJob operation on AmazonImportExport.
  Returns:
    A Java Future object containing the response from the CancelJob service method, as returned by AmazonImportExport.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonImportExport indicating either a problem with the data in the request, or a server side issue.

### getStatusAsync

    public Future<GetStatusResult> getStatusAsync(GetStatusRequest getStatusRequest)
                                           throws AmazonServiceException,
                                                  AmazonClientException

  This operation returns information about a job, including where the job is in the processing pipeline, the status of the results, and the signature value associated with the job. You can only return information about jobs you own.

  Specified by:
    `getStatusAsync` in interface `AmazonImportExportAsync`
  Parameters:
    `getStatusRequest` - Container for the necessary parameters to execute the GetStatus operation on AmazonImportExport.
  Returns:
    A Java Future object containing the response from the GetStatus service method, as returned by AmazonImportExport.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonImportExport indicating either a problem with the data in the request, or a server side issue.

### listJobsAsync

    public Future<ListJobsResult> listJobsAsync(ListJobsRequest listJobsRequest)
                                         throws AmazonServiceException,
                                                AmazonClientException

  This operation returns the jobs associated with the requester. AWS Import/Export lists the jobs in reverse chronological order based on the date of creation. For example if Job Test1 was created 2009Dec30 and Test2 was created 2010Feb05, the ListJobs operation would return Test2 followed by Test1.

  Specified by:
    `listJobsAsync` in interface `AmazonImportExportAsync`
  Parameters:
    `listJobsRequest` - Container for the necessary parameters to execute the ListJobs operation on AmazonImportExport.
  Returns:
    A Java Future object containing the response from the ListJobs service method, as returned by AmazonImportExport.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonImportExport indicating either a problem with the data in the request, or a server side issue.

### updateJobAsync

    public Future<UpdateJobResult> updateJobAsync(UpdateJobRequest updateJobRequest)
                                           throws AmazonServiceException,
                                                  AmazonClientException

  You use this operation to change the parameters specified in the original manifest file by supplying a new manifest file. The manifest file attached to this request replaces the original manifest file. You can only use the operation after a CreateJob request but before the data transfer starts and you can only use it on jobs you own.

  Specified by:
    `updateJobAsync` in interface `AmazonImportExportAsync`
  Parameters:
    `updateJobRequest` - Container for the necessary parameters to execute the UpdateJob operation on AmazonImportExport.
  Returns:
    A Java Future object containing the response from the UpdateJob service method, as returned by AmazonImportExport.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonImportExport indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.